OPNsense 22.7.8 Maintenance und Security Update

      Keine Kommentare zu OPNsense 22.7.8 Maintenance und Security Update
OPNsense Logo

Dieses Update von OPNsense ist ein Maintenance und Sicherheits basiertes. Inzwischen funktioniert libreSSL nicht länger mit FreeRadius, da die Library intern versteckt ist. Die aktuelle OPNsense Installation funktioniert weiterhin. Die Entwickler weisen jedoch daraufhin, dass zu OpenSSl gewechselt werden sollte, denn nur so werden Updates für FreeRADIUS installiert.

OPNsense 22.7.8 Release Notes

  • system: add statistics tree view containing vmstat memory characteristics
  • system: explicitly reopen main log file in case another log file was used and closed
  • system: tweak log_msg() to prepare log level adjustments migration away from log_error()
  • system: enforce config reload to fetch group membership in authentication tester
  • system: separate interface type icon from name column in interface widget
  • system: change system log default to “Notice”
  • system: UX tweaks on activity page
  • system: revised backend daemon startup delay
  • system: drop empty plugins_run() result
  • interfaces: migrate main clearing of interface data to ifctl
  • interfaces: fix display of special HTML characters in packet capture
  • interfaces: retain existing PPP settings on saving interface settings
  • interfaces: delete the correct lock of PPP device
  • interfaces: fix variable use in interface_proxyarp_configure()
  • firewall: wrap user rule registration in new function filter_core_rules_user()
  • firewall: simplify rule lookup by using filter_core_rules_user()
  • firewall: allow external dynamic address in NPT
  • firewall: remove extended VIP expansion from NAT rules
  • firewall: fix live view hostname lookup may result in HTTP 431 error
  • ipsec: remove side effect host route removal from Phase 1 page
  • unbound: do not stop on potential errors in start script
  • plugins: os-freeradius is no longer available for LibreSSL to allow updates of FreeRADIUS software
  • plugins: os-nginx 1.31[1]
  • plugins: os-wireguard now skips invalid peers for dashboard widget (contributed by jkellerer)
  • ports: expat 2.5.0[2]
  • ports: krb5 1.20.1[3]
  • ports: nss 3.85[4]
  • ports: phalcon 5.1.1[5]
  • ports: sudo 1.9.12p1[6]

Quelle: https://forum.opnsense.org/index.php?topic=31096.0

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert